/**Begin D:\PDM_UPGRADE\PDM1\EB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CENTRALAPPBILLENTRY') 
 CREATE TABLE T_EB_CENTRALAPPBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREPORTBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FSUMBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FREPORTTYPE VARCHAR(1) DEFAULT '0' NOT NULL,
FTEMPLATE BIGINT DEFAULT 0 NOT NULL,
FENTITY BIGINT DEFAULT 0 NOT NULL,
FCENTRALENTITY BIGINT DEFAULT 0 NOT NULL,
FREPORTER BIGINT DEFAULT 0 NOT NULL,
FREPORTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_CENTRALAPPBILL') 
 CREATE TABLE T_EB_CENTRALAPPBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FYEAR BIGINT DEFAULT 0 NOT NULL,
FVERSION BIGINT DEFAULT 0 NOT NULL,
FDATATYPE BIGINT DEFAULT 0 NOT NULL,
FCENTRALAPPPLAN NCLOB DEFAULT ' ',
FCENTRALPROCESSPLAN NCLOB DEFAULT ' ',
FENTITYTEXT NCLOB DEFAULT ' ',
FCENTRALENTITYTEXT NCLOB DEFAULT ' ',
FDEALER NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(10) DEFAULT 'A' NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME
);



/**End D:\PDM_UPGRADE\PDM1\EB_table.sql **/
